Maintenance Configuration

Get information about the maintenance configuration in use by the Octopus Server

GET /api/maintenanceconfiguration

Response

200 — The requested Maintenance Configuration

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsInMaintenanceMode boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Response

JSON
{
  "Id": "string",
  "IsInMaintenanceMode": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Update the maintenance configuration used by the Octopus Server

PUT /api/maintenanceconfiguration

Request Body

  • IsInMaintenanceMode boolean (required)

Response

200 — Confirmation that the Maintenance Configuration has been modified, containing the updated configuration

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsInMaintenanceMode boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Request

JSON
{
  "IsInMaintenanceMode": true
}

Example Response

JSON
{
  "Id": "string",
  "IsInMaintenanceMode": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Update the maintenance configuration used by the Octopus Server

PUT /api/maintenanceconfiguration/v1

Request Body

  • IsInMaintenanceMode boolean (required)

Response

200 — Confirmation that the Maintenance Configuration has been modified, containing the updated configuration

  • Resource object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsInMaintenanceMode boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Request

JSON
{
  "IsInMaintenanceMode": true
}

Example Response

JSON
{
  "Resource": {
    "Id": "string",
    "IsInMaintenanceMode": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  }
}